WineHQ
Wine Forums

Board index » WineHQ » Wine Help » Linux




 Page 1 of 1 [ 20 posts ] 



 
Author Message
 Post subject: wine freetype problem
 Post Posted: Thu Feb 16, 2017 1:15 am 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Hi im using Funtoo linux, After updating i got this:
Code:
Wine cannot find the FreeType font library. To enable Wine to use TrueType fonts please install a version of FreeType greater than or equal to 2.0.5. http://www.freetype.org

i can not launch some games, i have Fontconfig 2.11.1-r2 and Freetype 2.6.5 installed,
i really dont know what to do to solve the problem. A reddit user told me that glibc broke fontconfig.
i really really dont know what to do.


Top 
 Post Posted: Thu Feb 16, 2017 7:11 am 
Offline
Moderator
Moderator
User avatar

Joined: Tue Mar 25, 2008 10:30 pm
Posts: 11768
Do you have 32 bit libfreetype installed?


Top 
 Post Posted: Thu Feb 16, 2017 7:36 am 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
@adcdam

What's the output from running:
Code:
emerge -pv freetype wine


Thanks
Bob


Top 
 Post Posted: Thu Feb 16, 2017 2:15 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Hi the output is this:

emerge -pv freetype wine

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/freetype-2.6.5:2::gentoo  USE="X adobe-cff bzip2 png -bindist -cleartype_hinting -debug -doc -fontforge -harfbuzz -infinality -static-libs -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] app-emulation/wine-2.0::gentoo  USE="X alsa cups fontconfig gecko jpeg lcms mono mp3 ncurses nls opengl perl png realtime run-exes ssl threads truetype udev udisks v4l xcomposite xml -capi -custom-cflags -dos -gphoto2 -gsm -gstreamer -ldap -netapi -odbc -openal -opencl -osmesa -oss -pcap -prelink -pulseaudio -samba -scanner (-selinux) {-test} -xinerama" ABI_X86="32 (64) (-x32)" LINGUAS="es -ar -bg -ca -cs -da -de -el -en -en_US -eo -fa -fi -fr -he -hi -hr -hu -it -ja -ko -lt -ml -nb_NO -nl -or -pa -pl -pt_BR -pt_PT -rm -ro -ru -sk -sl -sr_RS@cyrillic -sr_RS@latin -sv -te -th -tr -uk -wa -zh_CN -zh_TW" 0 KiB

Total: 2 packages (2 reinstalls), Size of downloads: 0 KiB



Thanks a lot!


Top 
 Post Posted: Fri Feb 17, 2017 8:10 am 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
Ok - so those are sane build flags - pretty much the same as what I use (minor difference - I've got infinality fonts enabled).

What's the output from:
Code:
find /usr/lib{32,64} -name "libfreetype*"


Could you post the full build log from app-emulation/wine (version 2.0 would be fine) - either as an attachment to a forum post or in a Github gist / pastebin-type site online?

Is your system clean?!! 8) I.e. what's the output from:
Code:
emerge --pretend --verbose --update --deep --newuse --with-bdeps=y --backtrack=100 @world
emerge --pretend --verbose @preserved-rebuild
revdep-rebuild -pv


Aren't you (Funtoo) guys using =sys-devel/gcc-6.3.0 already?
Maybe a botched compiler update or some "issues" (6.3.0 is still marked as unstable in Portage).
Personally I'm waiting till it gets KEYWORDed... 8)

Ta
Bob


Top 
 Post Posted: Sat Feb 18, 2017 5:04 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Hi thanks for your help im almost to give up,
my system gcc is:
Code:
sys-devel/gcc
      Latest version available: 5.3.0-r1
      Latest version installed: 5.3.0-r1
      Size of files: 96.889 KiB
      Homepage:     
      Description:   The GNU Compiler Collection
      License:       GPL-3+ LGPL-3+ || ( GPL-3+ libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.3+



Code:
find /usr/lib{32,64} -name "libfreetype*"
/usr/lib32/libfreetype.so
/usr/lib32/libfreetype.so.6
/usr/lib32/libfreetype.so.6.12.5
/usr/lib64/libfreetype.so
/usr/lib64/libfreetype.so.6
/usr/lib64/libfreetype.so.6.12.5


Code:
emerge --pretend --verbose --update --deep --newuse --with-bdeps=y --backtrack=100 @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS    ] sys-kernel/gentoo-sources-4.9.10:4.9.10::gentoo [4.3.0:4.3.0::gentoo, 4.4.2:4.4.2::gentoo, 4.5.0:4.5.0::gentoo, 4.5.3:4.5.3::gentoo, 4.5.4:4.5.4::gentoo, 4.9.9:4.9.9::gentoo] USE="-build -experimental -symlink" 292 KiB
[ebuild     U  ] dev-python/pygments-2.2.0::gentoo [2.1.3::gentoo] USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 (-python3_6)" 2.065 KiB
[ebuild     U  ] dev-python/docutils-0.13.1::gentoo [0.12-r1::gentoo] PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5 (-python3_6)" 1.695 KiB
[ebuild     U  ] app-arch/libarchive-3.2.2-r1:0/13::gentoo [3.2.2:0/13::gentoo] USE="acl bzip2 e2fsprogs iconv lzma threads xattr zlib -expat -libressl -lz4 -lzo -nettle -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 4 packages (3 upgrades, 1 in new slot), Size of downloads: 4.051 KiB

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items



Code:
emerge --pretend --verbose @preserved-rebuild
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/imlib2-1.4.9::gentoo  USE="X bzip2 gif jpeg mp3 nls png tiff zlib -doc -static-libs" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="sse2 (-mmx)" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.



Code:
revdep-rebuild -pv
 * This is the new python coded version
 * Please report any bugs found using it.
 * The original revdep-rebuild script is installed as revdep-rebuild.sh
 * Please file bugs at: https://bugs.gentoo.org/
 * Collecting system binaries and libraries
 * Collecting dynamic linking informations
 * Scanning files
 * Checking dynamic linking consistency

Your system is consistent



i updated to gcc a 5.3.0 a few days ago perhaps thats the problem


Top 
 Post Posted: Sun Feb 19, 2017 11:30 am 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
adcdam wrote:
Hi thanks for your help... I'm almost [ready] to give up,
...
i updated to gcc a 5.3.0 a few days ago perhaps thats the problem


Heck that's nothing... :lol:
I spent 2 weeks trying to get my mouse cursor working (under X) - when I was first trying out Gentoo (2010? I think)! :?
Then last year I spent 3 weeks (in January) trying to update to Plasma 5 (I mainly staring at a blank/black Plasma screen). :cry:

Updated from sys-devel/gcc 4.9.x or 5.2.x? If it's the former that's a major gcc ABI change.

Did you follow a procedure - similar to Stack Exchange: Packages to rebuild after upgrading gcc on gentoo systems.

Personally I'm much more extreme!! I'm one of the people believes in compiling the @system set x2 and then the full @world set - after a major version compiler update.

In your case I'd recommend (more brute-force over brains):
Code:
emerge -1v libtool    # if you've not done this already!!
emerge -ev @system    # This should rebuild all your main font libraries (harfbuzz , freetype , fontconfig , etc.)
emerge -v wine

See if that helps!

Bob


Top 
 Post Posted: Sun Feb 19, 2017 5:07 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Thanks a lot Bob
i did what you told me and i rebuild more than 300 packages and no luck still the freetype problem, i really think im going to delete all my Linux partitions, and im going to install windows, i used linux for about 6 years but i asked for help for this problem here,in Wine Reddit, in the Playonlinux forum, in the Funtoo forum and you were the only person that answered something, you update the system and you get broken applications this is the first time that no one came with a solution so i think im done with Linux i really dont like windows but i dont think i will have that freetype problem there or if a problem happens it would be easier to solve.
thank you a lot Bob


Top 
 Post Posted: Sun Feb 19, 2017 6:11 pm 
Offline
Moderator
Moderator
User avatar

Joined: Tue Mar 25, 2008 10:30 pm
Posts: 11768
Could be this issue: https://bugs.winehq.org/show_bug.cgi?id=41758.


Top 
 Post Posted: Sun Feb 19, 2017 6:51 pm 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
dimesio wrote:


Nope... Already considered that...
Code:
[ebuild   R    ] media-libs/freetype-2.6.5:2::gentoo  USE="X adobe-cff bzip2 png -bindist -cleartype_hinting -debug -doc -fontforge -harfbuzz -infinality -static-libs -utils" ABI_X86="32 (64) (-x32)" 0 KiB


The USE flag -harfbuzz is the "Gentoo way" to disable harfbuzz support/linkage in the freetype library.

Bob


Top 
 Post Posted: Sun Feb 19, 2017 7:02 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Hi i discovered this: Wine works what it doesnt work is the wine versions in Playonlinux.
this Guy is having the same problem as i am so is not Funtoo related on Gentoo happens too.
https://forums.gentoo.org/viewtopic-t-1 ... linux.html
and is not Wine if i use wine System in Playonlinux the games Work, perhaps Playonlinux cant find the Freetype fonts a symlink can solve that?


http://imgur.com/xaRobCD
http://imgur.com/xaRobCD


Last edited by adcdam on Sun Feb 19, 2017 7:22 pm, edited 2 times in total.

Top 
 Post Posted: Sun Feb 19, 2017 7:10 pm 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
adcdam wrote:
wine works what it doesnt work is the wine versions in playonlinux


Ahhhhh... Now you tell us. :shock:

playonlinux use highly suspect scripts / dependencies to build their own hacky pre-build binaries of wine. These of course probably won't match your system libraries...
The POL install scripts (for Windows applications) are not maintained that well either...
Don't use that piece of garbage (well except for with a proper system build of app-emulation/wine). 8)

You're better off just writing / using the winemenubuilder native Linux .desktop files - to launch your wine applicaitons.

Bob


Top 
 Post Posted: Sun Feb 19, 2017 7:18 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Im very Sorry Bob i discovered a few minutes ago that the problem was the playonlinux and not wine, im very sorry. The Problem is that i need different versions of wine that s why i use Playonlinux, for example for fallout 3 i need wine 2.1 staging.


Top 
 Post Posted: Sun Feb 19, 2017 7:51 pm 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
adcdam wrote:
Im very Sorry Bob i discovered a few minutes ago that the problem was the playonlinux and not wine, im very sorry. The Problem is that i need different versions of wine that s why i use Playonlinux, for example for fallout 3 i need wine 2.1 staging.


Well I happen to know the Gentoo app-emulation/wine maintainer (NP) is going to update his multislot wine implementation.
That would allow you have multiple versions of wine installed at once.
It would use an eselect module to switch the versions of wine (or you could use the full wine binary path in .desktop files, etc.).

I could copy and update the scripts he's got in his Overlay (wine-a-holics).
I've never really had a need to install multiple versions of wine at once, personally...
So I'd rather wait till NP's updated them - before I improve them - and stick them in my Overlay (bobwya).

I don't always agree with how NP handles stuff... Version updates are very tardy - on his end. QA is somelack lacking. The stock live app-emulation/wine build is a bit inflexible...
So I've got my own forked version of the app-emulation/wine package in my Overlay...

Bob

Btw
if you want better subpixel (i.e. LCD/TFT display) font rendering... I've got the final release versions (media-libs/freetype 2.6.3) in my Overlay (I haven't tested the updated Arch fork of the infinality package yet).
You get the best subpixel hinting of any font handler (on Windows, MacOS and Linux) - with infinality.
See Gentoo Wiki: Fontconfig ...
See WineHQ Forums: That problem again : anti-aliasing
That would involve more package rebuilding though... :lol:


Top 
 Post Posted: Sun Feb 19, 2017 8:22 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Thanks Bob, Wow!!! lot of knowledge you have!! that s great about multiple wine versions with the eselect module, i will check about the freetype in your overlay. i will also post about the problem in the playonlinux forum as is their problem not wine.
Thank you a lot Bob!!


Top 
 Post Posted: Sun Feb 19, 2017 8:25 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Bob please email me at jailbreakdam@hotmail.com i will ask you a few more questions if you dont mind.


Top 
 Post Posted: Tue Feb 21, 2017 2:52 pm 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
adcdam wrote:
Bob please email me at jailbreakdam@hotmail.com i will ask you a few more questions if you dont mind.


Feel free just to ramble on here... 8)

Who doesn't want good fonts - I personally hate badly rendered fonts...??!! It's one of the reasons why Ubuntu became so popular and why Fedora sucks...

Wine is a good litmus test for a good font rendering setup - since Wine using X libraries to draw the windows.
So Wine effectively bypasses subpixel font rendering "fixes", in the more modern Qt and Gtk3 libraries.

If we post publically - then it gets indexed by Google (other web crawlers are available). So someone else might find the thread useful...
There's quite an active Gentoo presence in the Wine community (see the WineHQ AppDB distro stats)...

I hope that's a disposable email address - you've quoted so publically on the Internet!! :lol:
Bob


Top 
 Post Posted: Sun Feb 26, 2017 6:52 pm 
Offline
Level 1
Level 1

Joined: Thu Feb 16, 2017 1:08 am
Posts: 9
Bob i read this old article
http://jeffhoogland.blogspot.com.ar/200 ... ns-on.html
perhaps i can get rid off Playonlinux,
i still dont know what is the freetype problem in POL but im not the only one https://forums.gentoo.org/viewtopic-t-1058636.html , perhaps its something gentoo/funtoo related since i dont have this problem in Arch linux. i cant believe no one solve this.
but if i am able to install multiple versions of wine perhaps there is no need of using Pol.
Di you try compiling and using al least two version of wine?


Top 
 Post Posted: Mon Feb 27, 2017 5:03 pm 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
adcdam wrote:
Bob i read this old article
http://jeffhoogland.blogspot.com.ar/200 ... ns-on.html
perhaps i can get rid off Playonlinux,
i still dont know what is the freetype problem in POL but im not the only one https://forums.gentoo.org/viewtopic-t-1058636.html , perhaps its something gentoo/funtoo related since i dont have this problem in Arch linux. i cant believe no one solve this.
but if i am able to install multiple versions of wine perhaps there is no need of using Pol.
Di you try compiling and using al least two version of wine?


It's already been done...
Gentoo Overlays: wine-a-holics
However the packages are very out of date (>6 months). It wouldn't be hard to update them... Personally I don't really have the need to have multiple versions of Wine installed.
NP (Overlay owner and Gentoo Wine maintainer) has stated he plans to make the official Gentoo ebuild multislot. When is anyones guess - but why don't you ask him on #gentoo-wine ?

Bob


Top 
 Post Posted: Mon Feb 27, 2017 5:05 pm 
Offline
Level 9
Level 9
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 1485
Location: Cambridge
Ahhh... I see NP has made the announcement official!! See Gentoo Wiki: Wine

Bob


Top 
Display posts from previous:  Sort by  
 
 Page 1 of 1 [ 20 posts ] 




Board index » WineHQ » Wine Help » Linux


Who is online

Users browsing this forum: No registered users and 13 guests

 
 

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: